/* Copyright (c) 2005 ACM/SIGDA
   Prepared by Jiang Hu, jhu@ee.tamu.edu
*/

#include <stdio.h>
#include <stdlib.h>
#include "riata.h"

int main( int argc, char* argv[] )
{
  if ( argc < 2 ) {
    fprintf(stderr, "Usage: %s <tree_and_rect_file>\n", argv[0]);
    return EXIT_FAILURE;
  }

  RIATA riata( argv[1] );

#if DEBUG
  riata.dumpNodes();
  riata.dumpBlockages();
  riata.dumpParameters();
#endif 

  riata.doRIATA();

#if DEBUG
  cout << "Final solution\n";
  riata.dumpBestSolution();
#endif

  riata.output();  // write out the result

  return EXIT_SUCCESS;
}
